#ifndef _KGR_PATCH_BSC1088268_H
#define _KGR_PATCH_BSC1088268_H

#if IS_ENABLED(CONFIG_SND_PCM)

int kgr_patch_bsc1088268_init(void);
void kgr_patch_bsc1088268_cleanup(void);


struct snd_card;
struct snd_ctl_file;

int kgr_snd_pcm_control_ioctl(struct snd_card *card,
			      struct snd_ctl_file *control,
			      unsigned int cmd, unsigned long arg);

#define KGR_PATCH_BSC1088268_FUNCS					\
	KGR_PATCH_OBJ(snd_pcm_control_ioctl,				\
			kgr_snd_pcm_control_ioctl, "snd_pcm"),		\

#else /* !IS_ENABLED(CONFIG_SND_PCM) */

static inline int kgr_patch_bsc1088268_init(void) { return 0; }
static inline void kgr_patch_bsc1088268_cleanup(void) {}

#define KGR_PATCH_BSC1088268_FUNCS

#endif /* IS_ENABLED(CONFIG_SND_PCM) */
#endif
